'''
Created on Oct 19, 2018

@author: Laura
'''

# import thirdParty
from thirdParty import searchPos, search, oneStep, place, isComplete
from ioOpers import readAChar, printGraphical

step0 = ["+----+",
         "|", 
         "|", 
         "|", 
         "|"]

step1 = [
        "+----+",
        "|    o",
        "|",
        "|",
        "|"]
step2 = [
        "+----+",
        "|    o",
        "|   /",
        "|   ",
        "|   "]
step3 = [
        "+----+",
        "|    o",
        "|   /|",
        "|    ",
        "|   "]
step4 = [
        "+----+",
        "|    o",
        "|   /|\\",
        "|   ",
        "|   "]
step5 = [
        "+----+",
        "|    o",
        "|   /|\\",
        "|   / ",
        "|    "]
step6 = [
        "+----+",
        "|    o",
        "|   /|\\",
        "|   / \\",
        "|    "]
step7 = [
        "+----+",
        "|    o",
        "|   /|\\",
        "|   / \\",
        "|    ="]
steps = [step0, step1, step2, step3, step4, step5, step6, step7]


def oneGame():
    secretWord = input("give the secret word: ")
    noSteps = 3 * len(secretWord) 
    word = []
    for i in range(0, len(secretWord)):
        word.append("_")
    isSolution = False
    
    noErrors = 0
    printGraphical(steps[noErrors])
    noErrors = noErrors + 1
    while ((isSolution == False) and (noSteps > 0) and (noErrors < len(steps))):
        print(word)
        try:
            c = readAChar()
            noSteps = noSteps - 1
            isSolution, found, word = oneStep(secretWord, word, c)
            if (not found):
                printGraphical(steps[noErrors])
                noErrors = noErrors + 1
        except ValueError as ex:
            print("some pb  " + str(ex))
        
    if (isSolution == True):
        print("Good job!")
    else:
        print("Try again....")
        
      
    
oneGame()